# encoding: utf-8
lib = File.expand_path('../lib', __FILE__)
$LOAD_PATH.unshift(lib) unless $LOAD_PATH.include?(lib)
require 'rubocop/mirego/version'

Gem::Specification.new do |spec|
  spec.name          = 'rubocop-mirego'
  spec.version       = RuboCop::Mirego::VERSION
  spec.authors       = ['Jean-François Chaput']
  spec.email         = ['jfchaput@mirego.com']
  spec.description   = 'Custom cops for Mirego.'
  spec.summary       = spec.description
  spec.homepage      = 'https://github.com/mirego/rubocop-mirego'
  spec.license       = 'BSD 3-Clause'

  spec.files         = `git ls-files`.split($RS)
  spec.executables   = spec.files.grep(%r{^bin/}) { |f| File.basename(f) }
  spec.test_files    = spec.files.grep(%r{^(test|spec|features)/})
  spec.require_paths = ['lib']

  spec.add_runtime_dependency 'rubocop', '>= 0.39.0'

  spec.add_development_dependency 'bundler', '~> 1.3'
  spec.add_development_dependency 'rspec', '~> 3.4'
  spec.add_development_dependency 'rubocop-rspec', '~> 1.4', '>= 1.4.1'
  spec.add_development_dependency 'phare', '~> 0.7'
  spec.add_development_dependency 'rake'
end
