require 'rubocop'

rubocop_path = Bundler.rubygems.find_name('rubocop').first.full_gem_path
require "#{rubocop_path}/spec/support/cop_helper"

$LOAD_PATH.unshift(File.join(File.dirname(__FILE__), '..', 'lib'))
$LOAD_PATH.unshift(File.dirname(__FILE__))
require 'rubocop-mirego'

RSpec.configure do |config|
  # Disable `should` syntax
  config.expect_with :rspec do |c|
    c.syntax = :expect
  end

  # Run specs in random order to surface order dependencies
  config.order = 'random'
end
